> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Warranty Line Item

> This endpoint deletes an existing warranty line item.

### Body

<ParamField body="id" type="string">
  The id of the warranty line item to delete.
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the warranty
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/warranty_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  }'
  ```

  ```js Node.js theme={null}
  const warrantyLineItem = await stateset.warrantyItem.del({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });

  ```

  ```graphQL GraphQL theme={null}
                 mutation deleteWarrantyLineItem ($warranty_line_item_id: uuid!) {
                  delete_warranty_line_items(where: {id: {_eq: $warranty_line_item_id}}) {
                    affected_rows
                  }
                }
  ```

  ```python Python theme={null}
  warranty_line_item = stateset.warranty_line_item.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```ruby Ruby theme={null}
  warranty_line_item = Stateset::WarrantyLineItem.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```php PHP theme={null}
  $warranty_line_item = Stateset\WarrantyLineItem::del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```

  ```go Golang theme={null}
  warrantyLineItem, err := stateset.WarrantyLineItem.Delete(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  )

  ```

  ```java Java theme={null}
  WarrantyLineItem warrantyLineItem = stateset.warrantyLineItem.del(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```

  ```csharp C# theme={null}
  var warrantyLineItem = await Stateset.WarrantyLineItem.Delete(
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "wli_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "warranty_line_item",
    "deleted": true
  }
  ```
</ResponseExample>
